Resolve a DSN to Its Project
GET /api/0/organizations/{organization_id_or_slug}/dsn-lookup/
Return the project and client key that a DSN belongs to. Only the DSN's public key is used: the host and project ID in the DSN are ignored.
Returns 400 when dsn is missing. Returns 404 when the DSN has no public key, or
when it doesn't match an active client key of an active project in this
organization that you can access.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
Query Parameters:
dsn(string)REQUIREDThe DSN to look up, such as
https://<public_key>@o1.ingest.sentry.io/2.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:org:adminorg:readorg:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/dsn-lookup/ \ -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied{ "organizationSlug": "the-interstellar-jurisdiction", "projectSlug": "pump-station", "projectId": "2", "projectName": "Pump Station", "projectPlatform": "python", "keyLabel": "Default", "keyId": "60120449" }
Was this helpful?